package com.lanyuanxiaoyao.service.common.utils;

import com.lanyuanxiaoyao.service.common.entity.FlinkJob;
import com.lanyuanxiaoyao.service.common.entity.TableMeta;
import java.util.Arrays;
import java.util.List;

/**
 * 标签比对
 *
 * @author lanyuanxiaoyao
 * @date 2024-07-29
 */
public class TagsHelper {
    public static boolean existsTag(FlinkJob job, String tag) {
        return existsTag(job.getTags(), tag);
    }

    public static boolean existsTag(TableMeta meta, String tag) {
        return existsTag(meta.getTags(), tag);
    }

    public static boolean existsTag(String sourceTags, String tag) {
        return existsTag(Arrays.asList(sourceTags.split(",")), tag);
    }

    public static boolean existsTag(List<String> sourceTags, String tag) {
        return sourceTags != null && sourceTags.contains(tag);
    }
}
